Package javassist.util.proxy

# Interface MethodHandler

public interface MethodHandler
The interface implemented by the invocation handler of a proxy instance.

See Also:
  - `Proxy.setHandler(MethodHandler)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object self, Method thisMethod, Method proceed, Object[] args)`
Is called when a method is invoked on a proxy instance associated with this handler.

## Method Details

### invoke

Object invoke(Object self, Method thisMethod, Method proceed, Object[] args) throws Throwable
Is called when a method is invoked on a proxy instance associated with this handler. This method must process that method invocation.

Parameters:
  `self` - the proxy instance.
  `thisMethod` - the overridden method declared in the super class or interface.
  `proceed` - the forwarder method for invoking the overridden method. It is null if the overridden method is abstract or declared in the interface.
  `args` - an array of objects containing the values of the arguments passed in the method invocation on the proxy instance. If a parameter type is a primitive type, the type of the array element is a wrapper class.
Returns:
  the resulting value of the method invocation.
Throws:
  `Throwable` - if the method invocation fails.